@import 'font.scss';
// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from {opacity: 0;} to {opacity: 1;} };
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from {opacity: 1;} to {opacity: 0;} };

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}

// global class
.text{
    &--blue{
        color: #2fa0ff;
    }
    &--yellow{
        color: #daa842;
    }
}
.text-center{
    text-align: center;
}
.clearfix{
    &::after {
        content: "";
        display: block;
        clear: both;
    }
}
.container{
    width: 980px;
    margin: 0 auto;
}
.bg-bottom{
    background: url("./../static/images/bg_bottom.png") no-repeat top center;
    width: 1105px;
    height: 580px;
    position: absolute;
    bottom: 0;
}
.section{
    &__head {
        margin-bottom: 15px;
        text-align: center;
        z-index: 2;
        position: relative;
        & h3{
            padding: 25px 30px;
            display: inline-block;
            border-radius: 30px;
            margin: 0 auto;
            color: #00164f;
            // text-shadow: 0 1px 5px #f87778;
            font-size: 22px;
            width: 350px;
            background: url(./../static/images/bg_heading.png) no-repeat center center;
            margin-top: -50px;
        }
    }
    &__content{
        padding: 0 150px;
        color: #fff;
    }
    &__btn{
        text-align: center;
        // position: absolute;
        // left: 0;
        // right: 0;
        // bottom: 42px;
    }
}
// .btns {
//     &__normal {
//         background:url("../static/images/btn_normal.png")top center no-repeat;
//         width:330px;
//         height:67px;
//         display:flex;
//         line-height: 1em;
//         align-items:center;
//         justify-content: center;
//         margin:33px auto;
//         text-align:center;
//         color:#ffd6be;
//         cursor: pointer;
//         -webkit-filter: grayscale(0); /* Safari 6.0 - 9.0 */
//         filter: grayscale(0);
//         font-size: 19px;
//         span {
//             font-size:.8em;
//         }
//         &:hover , &:focus {
//            opacity: 0.8;
//         }
//         &.received,
//         &.disabled {
//             background:url("../static/images/btn_disable.png")top center no-repeat;
//             pointer-events: none;
//             -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
//             filter: grayscale(100%);
//         }
//     }
// }


.btn{
    font-family: 'Kanit', sans-serif;
    cursor: pointer;
    &:focus{
        outline: none;
    }
}
img{
    max-width: 100%;
}
//banner
.preorder {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    //height:3365px;
    background-color: #171312;
    &__section {
        position: relative;
        display: block;
        width: 100%;
        &--header {
            height: 700px;
        }
    }
    & .preorder-inner{
        background: no-repeat top center url(../static/images/bg_main.jpg) #04030b;
        width: 1105px;
        margin: 0 auto;
        position: relative;
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
    }
    &__scroll{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 80px;
        & img{
            animation: mover 1s infinite alternate;
        }
    }
    & .btn-promotion{
        background: url('./../static/images/btn_promotion.png') no-repeat 0 0;
        padding: 60px 25px;
        color: #00164f;
        border-radius: 50px;
        font-size: 24px;
        position: absolute;
        bottom: -25px;
        right: 150px;
        text-decoration: none;
        z-index: 99;
        text-align: center;
        min-width: 250px;
        &:hover{
            background-position: 0 -154px;
        }
    }
}

//section condition
.condition {
    &__text {
        padding-left: 30px;
        li {
            list-style-type: decimal;
        }
    }
    & .container{
        background: url("./../static/images/bg_condition.png") no-repeat top center;
        height: 750px;
    }
    & .section__content{
       color:#000;
    }
}

//section costume
.costume{
    & .container{
        background: url("./../static/images/bg_costume.png") no-repeat top center;
        height: 3800px;
    }
    &-items{
        display: inline-block;
        vertical-align: middle;
        width: 31%;
        padding: 2px 5px;
    }
    &__block{
        margin: 60px 0;
    }
}
.btn-costume{
    background-color: #d27f73;
    color: #fff;
    padding: 7px 10px;
    min-width: 200px;
    display: inline-block;
    border-radius: 50px;
    text-align: center;
    margin-bottom:30px;
}

//soul page
.soul_page{
    background: url("./../static/images/bg_buysoul.jpg") no-repeat top center;
}
.history_page{
    background: url("./../static/images/bg_history.jpg") no-repeat top center;
}
.opensoul_page{
    background: url("./../static/images/bg_opensoul.jpg") no-repeat top center;
}
.page{
    &__wrapper{
        // background: url("./../static/images/bg_buysoul.jpg") no-repeat top center;
        width: 1105px;
        height: 700px;
        margin: 0 auto;
        position: relative;
        overflow: hidden;
        & .container{
            background: url("./../static/images/bg_body.png") no-repeat top center;
            height: 600px;
            margin-top: 164px;
        }
    }
}
.soul{
    &__items{
        width:33.33%;
        float: left;
        text-align: center;
        &--img{
            // background: url("./../static/images/bg_ball.png") no-repeat top center;
            // height: 90px;
            // padding: 30px;
            margin-bottom: 20px;
        }
        &--text{
            min-height: 90px;
            font-size: 18px;
            font-weight: normal;
        }
    }
    // &::after{
    //     content: '';
    //     background: url("./../static/images/house.png") no-repeat top center;
    //     width: 215px;
    //     height: 395px;
    //     display: block;
    //     position: absolute;
    //     left:0;
    //     bottom: 0;
    // }
    .section__content{
        padding: 50px 150px;
    }
}
.btn-soul{
    background: url('./../static/images/btn_default.png') no-repeat 0 0;
    width: 130px;
    height: 28px;
    color: #1e0d00;
    text-align: center;
    padding: 10px;
    display: block;
    margin: 0 auto;
    cursor: pointer;
    font-family: 'DBWittayuX-Bold';
    font-size: 22px;
    line-height: 1.2em;
    &:hover{
        background-position: 0 -60px;
    }

    &.disabled{
        pointer-events: none;
        -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
        filter: grayscale(100%);
    }

    &.gray-btn{
        filter: grayscale(1);
        opacity: 0.7;
        font-size: 18px;
        line-height: 28px;
    }
}

//history page
.history{
    // &::after{
    //     content: '';
    //     background: url("./../static/images/charactor_history.png") no-repeat top center;
    //     width: 215px;
    //     height: 395px;
    //     display: block;
    //     position: absolute;
    //     left:0;
    //     bottom: 0;
    // }
    &__list{
        & li::after {
            content: "";
            display: block;
            clear: both;
        }
        &--left{
            float: left;
        }
        &--right{
            float: right;
        }
        &--date{
            margin-right: 15px;
        }
    }
}
.btn-default,
.modal__button{
    // background-color: #f47260;
    color:#1e0d00;
    //border: 3px solid #fff;
    background: url('./../static/images/btn_default.png') no-repeat 0 0;
    display: inline-block;
    padding: 9px 20px;
    width: 105px;
    text-align: center;
    margin: 0 10px;
    cursor: pointer;
    text-decoration: none;
    font-family: 'DBWittayuX-Bold';
    font-size: 22px;
    line-height: 1.2em;
    &:hover{
        background-position: 0 -60px;
    }
}

//open soul page
.opensoul{
    // &::after{
    //     content: '';
    //     background: url("./../static/images/charactor_opensoul.png") no-repeat top center;
    //     width: 330px;
    //     height: 455px;
    //     display: block;
    //     position: absolute;
    //     right: 0;
    //     bottom: 0;
    // }
    & .items__box:first-child{
        // display: block;
        display: inline-block;
        margin: 0 auto;

        &.one_item{
            top: 50%;
            position: relative;
            margin-top: -56px;
        }
    }
    & .content__scroll{
        height: 430px;
        padding-top: 15px;
    }
}
.items{
    &__box{
        display: inline-block;
        width: 20%;
        text-align: center;
        vertical-align: middle;
        &--inner{
            display: inline-block;
            position: relative;
        }
        &--count{
            background: url("./../static/images/num.png")  no-repeat top center;
            width: 50px;
            height: 25px;
            color: #6d4123;
            position: absolute;
            right: 0;
            bottom: 0;
            padding: 9px 0;
            text-align: center;
            font-weight: bold;
            margin-right: -10px;
        }
        &.send-item{
            margin: 5% 0;
        }
    }
}


//send page
.send{
    &::after{
        content: '';
        background: url("./../static/images/charactor_send.png") no-repeat top center;
        width: 244px;
        height: 400px;
        display: block;
        position: absolute;
        right: 0;
        bottom: 0;
    }
}
.items__box--inner{
    cursor: pointer;
    &.active{
        -webkit-filter: drop-shadow(1px 1px 5px #f34547);
        filter: drop-shadow(1px 1px 5px #f34547);
    }
    &.select-item{
        &:hover{
            -webkit-filter: drop-shadow(1px 1px 5px #f34547);
            filter: drop-shadow(1px 1px 5px #f34547);
        }
    }
}
.send,
.opensoul{
    & .items__wrapper{
        // width: 400px;
        // margin: 0 auto;
        // text-align: center;
    }
}

// redeem page
.count{
    display: inline-block;
    background-color: #b16459;
    padding: 0px 10px;
    vertical-align: middle;
    border-radius: 5px;
    font-size: 28px;
    margin: 0 5px 0 30px;
}
body ::-webkit-scrollbar {
    width: 5px;
}
body ::-webkit-scrollbar-track {
    background-color: #ffa197;
}
body ::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background:  #c78881;
}
.items{
    &__wrapper{
        width: auto;
        padding: 0 80px;
        &--center{
            display: inline-block;
            margin: 0 auto;
            width: 46%;
            position: relative;
            padding: 0 2% 2%;
        }
        &--left,
        &--right{
            display: inline-block;
            width: 46%;
            // float: left;
            position: relative;
            padding: 0 2% 2%;
        }
        &--rightInner,
        &--leftInner{
            height: 300px;
            overflow-y: auto;
        }
    }
}
.items__pieces{
    &--left{
        display: inline-block;
        vertical-align: middle;
    }
    &--right{
        display: inline-block;
        vertical-align: middle;
    }
}
.btn-plus,
.btn-minus{
    font-size: 42px;
    line-height: 36px;
    padding: 3px 12px;
    border-radius: 5px;
    border: 0;
    font-family: 'Kanit', sans-serif;
    vertical-align: middle;
    margin: 0 5px;
}
.btn-plus{
    background: rgb(255,255,255);
    background: -moz-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    background: -webkit-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#b4b4b4",GradientType=1);
}
.btn-minus{
    background: rgb(240,0,4);
    background: -moz-radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    background: -webkit-radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    background: radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#f00004",endColorstr="#b10002",GradientType=1);
    color: #fff;
}
.line::after{
    content: '';
    border-right: 5px solid #fff;
    position: absolute;
    right: 0;
    top: 0;
    height: 438px;
    margin-top: -58px;

}

//trade page
.trade{
    &::after{
        content: '';
        background: url("./../static/images/charactor_trade.png") no-repeat top center;
        width: 300px;
        height: 485px;
        display: block;
        position: absolute;
        left: 0;
        bottom: 0;
    }
}

// combine page
.combine{
    & .items__wrapper--centerCombine{
        background-color: #f8f3eb;
        border: 4px double #c5a281;
        border-radius: 20px;
        padding: 50px 10px;
    }
    & .items__wrapper--leftCombine,
    & .items__wrapper--rightCombine{
        background-color: #f8f3eb;
        border: 4px double #c5a281;
        border-radius: 20px;
        padding: 50px 10px;

    }
    .btn-soul{
        margin-top: -20px;
    }
    & .items__box{
        width: 28%;
        vertical-align: middle;
        position: relative;
        padding: 0 8px;
        // &.icon-arrow{
        //     width: 10%;
        // }
    }
    & .items__box:nth-child(2)::after{
        content: '';
        background: url("./../static/images/arrow_right.png") no-repeat top center;
        width: 31px;
        height: 26px;
        display: block;
        position: absolute;
        right: 0;
        top: 50%;
        margin-top: -15px;
        margin-right: -18px;
    }
}
//section gachapon
.gachapon{
    & .container{
        &__bg{
            margin-left: -77px;
            margin-right: -77px;
            border-left: 0;
            border-right: 0;
            border-radius: 0;
        }
    }
    &__items{
        position: relative;
        display: inline-block;
        margin: 20px;
        font-size: 0;
        &:after{
        // &:hover::after{
            content: "";
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            box-shadow: inset 0 0 50px 2px #f6e3c3;
            -moz-box-shadow: inset 0 0 50px 2px #f6e3c3;
            -webkit-box-shadow: inset 0 0 50px 2px #f6e3c3;
            border-radius: 10px;
            opacity: 0;
        }
        &--rnd0infinite::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, infinite); }
        &--rnd1infinite::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd3infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd4infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd5infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd6infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd7infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }

        &--rnd0::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, 10); }
        &--rnd1::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd3::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd4::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd5::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd6::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd7::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--selected::after { @include animation-random-mixin(toShow, 0.2s, 0.3s, 10); }

    }
}


// Menu
.left__menu{
    & .menu-icon{
        margin: 20px 0 0 20px;
        display: inline-block;
        cursor: pointer;
    }
    & .menu-close{
        position: absolute;
        top: 10px;
        right: 35px;
        & a{
            width: 25px;
            height: 25px;
            display: block;
            cursor: pointer;
        }
        & a::before,
        & a::after{
            position: absolute;
            left: 10px;
            content: ' ';
            height: 22px;
            width: 2px;
            top: 5px;
            background-color: #fff;
        }
        & a:before{
            -o-transform: rotate(45deg);
            -moz-transform: rotate(45deg);
            -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
        }
        & a::after{
            -o-transform: rotate(-45deg);
            -moz-transform: rotate(-45deg);
            -webkit-transform: rotate(-45deg);
            transform: rotate(-45deg);
        }
    }
    &--list{
        position: absolute;
        top: 0;
        z-index: 999;
        left: -314px;
        width: 270px;
        background:url('./../static/images/bg_left_menu.png') no-repeat 0 0;
        padding: 100px 30px;
        height: 100vh;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
        &.show{
            left: 0;
        }
        & a {
            text-decoration: none;
            color: #fff;
            font-size: 18px;
            display: block;
            padding: 5px 0;
            &:hover{
                color: #020240;
            }
        }
    }
    & .bg-overlay{
        background-color: rgba(0,0,0,0.9);
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
        bottom: 0;
        top: 0;
        z-index: 9;
        display: none;
        &.show{
            display: block;
        }
    }
}

.content__scroll{
    height: 330px;
    overflow-y: auto;
}
